package com.supervision.police.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import java.io.Serializable;

/**
 * 案件人物表(CasePerson)表实体类
 *
 * @author qmy
 * @since 2024-07-06 13:27:29
 */
@Data
@TableName("case_person")
public class CasePerson implements Serializable {

    @TableId
    private String id;
    
    /**
     * 案件id
     */
    private String caseId;
    
    /**
     * 姓名
     */
    private String name;
    
    /**
     * 身份证号
     */
    private String idCard;
    
    /**
     * 角色
     */
    private String roleCode;

    /**
     * 角色名称
     */
    @TableField(exist=false)
    private String roleName;

}

