package com.supervision.police.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.police.domain.ModelCase;
import com.supervision.police.domain.ModelRecordType;
import com.supervision.police.dto.AtomicIndexDTO;
import com.supervision.police.dto.IndexDetail;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 案件表(ModelCase)表数据库访问层
 *
 * @author qmy
 * @since 2024-07-02 14:47:59
 */
public interface ModelCaseMapper extends BaseMapper<ModelCase> {

    IPage<ModelCase> selectAll(IPage<ModelCase> iPage, ModelCase modelCase);

    int selectMaxIndex();

    IPage<IndexDetail> getIndexDetail(IPage<IndexDetail> iPage,
                                      @Param("caseId") String caseId,
                                      @Param("indexType") String indexType);

    List<AtomicIndexDTO> getAtomicDetail(@Param("caseId") String caseId,
                                         @Param("atomicIds") List<String> atomicIds);

}

