package com.supervision.springaidemo.controller;

import lombok.extern.slf4j.Slf4j;
import org.springframework.ai.chat.ChatResponse;
import org.springframework.ai.chat.Generation;
import org.springframework.ai.chat.messages.UserMessage;
import org.springframework.ai.chat.prompt.Prompt;
import org.springframework.ai.ollama.OllamaChatClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@Slf4j
@RequestMapping("question")
public class SimilarityQuestionController {

    private static final String template = """
            假设你现在是一个医生,现在假设你在问诊,如果你想问用户:你什么时候发现问题的？
            请你给出这种问句10种相似的问法以扩充语料,要求扩充语料和源问题相似度很高以满足向量匹配的需求,且符合真实场景医生的询问方式
            """;


    private final OllamaChatClient chatClient;

    @Autowired
    public SimilarityQuestionController(OllamaChatClient chatClient) {
        this.chatClient = chatClient;
    }

    @GetMapping("test")
    public void test() {
        Prompt prompt = new Prompt(List.of(new UserMessage(template)));
        ChatResponse call = chatClient.call(prompt);
        Generation result = call.getResult();

        String content = result.getOutput().getContent();
        log.info("结果是:{}", content);
    }

}
